package cn.com.countrygarden.bi.main.dao.sys;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.dto.CheckListDTO;
import cn.com.countrygarden.bi.main.model.sys.Function;

import java.util.List;


public interface FunctionMapper extends Mapper<Function> {
    List<Function> findByUserCode(String userCode);

    List<CheckListDTO> selectCheckListByRole(String roleCode);

    List<String> selectExistFunctionsByRole(String roleCode);

    Function selectDataByPrimaryKey(Integer id);
}